summaryrefslogtreecommitdiff
path: root/package/rarpd/files/rarpd.init
diff options
context:
space:
mode:
authorwbx <wbx@hydrogenium.(none)>2009-05-17 12:41:34 (GMT)
committerwbx <wbx@hydrogenium.(none)>2009-05-17 12:41:34 (GMT)
commit219a6dab8995aad9ac4860cc1a84d6f3509a03a4 (patch)
treeb9c0f3c43aebba2fcfef777592d0add39f2072f4 /package/rarpd/files/rarpd.init
Initial import
Diffstat (limited to 'package/rarpd/files/rarpd.init')
-rw-r--r--package/rarpd/files/rarpd.init25
1 files changed, 25 insertions, 0 deletions
diff --git a/package/rarpd/files/rarpd.init b/package/rarpd/files/rarpd.init
new file mode 100644
index 0000000..09a3464
--- /dev/null
+++ b/package/rarpd/files/rarpd.init
@@ -0,0 +1,25 @@
+#!/bin/sh
+#FWINIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${rarpd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ rarpd $rarpd_flags
+ ;;
+stop)
+ killall rarpd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+esac
+exit $?